/****************************************************************************/
// 
/****************************************************************************/
#include        <iostm8s105c6.h>
#include        <intrinsics.h>
/****************************************************************************/


/****************************************************************************/
//
/****************************************************************************/
unsigned char   A_1=0;
unsigned int    u_second=0;
unsigned int    m_second=0;
unsigned int    second=0;
/****************************************************************************/


/****************************************************************************/
//
/****************************************************************************/

// 
void delai(unsigned int value){
  unsigned int count;
  count=value;
  while(count>0){
    --count;
  }
}
/****************************************************************************/


/****************************************************************************/
//
/****************************************************************************/

//  TIMR4
#pragma vector=TIM4_OVR_UIF_vector
__interrupt void TIMR4_ISR(void){
  ++u_second;
  delai(1);
  if(u_second>=10){
    u_second=0;
    ++m_second;
    if(m_second>=1000){
      m_second=0;
      ++second;
    }
  }
}

/****************************************************************************/

// 
void main( void )
{
  __enable_interrupt();
  TIM4_IER_UIE=1;
  TIM4_IER_TIE=1;
Loop_main:
  A_1=0x55;
  delai(50);
  goto Loop_main;
}
